import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface GroupCustomAttributeConfig extends cdktf.TerraformMetaArguments {
    /**
    * The id of the group.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/gitlab/r/group_custom_attribute#group GroupCustomAttribute#group}
    */
    readonly group: number;
    /**
    * Key for the Custom Attribute.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/gitlab/r/group_custom_attribute#key GroupCustomAttribute#key}
    */
    readonly key: string;
    /**
    * Value for the Custom Attribute.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/gitlab/r/group_custom_attribute#value GroupCustomAttribute#value}
    */
    readonly value: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/gitlab/r/group_custom_attribute gitlab_group_custom_attribute}
*/
export declare class GroupCustomAttribute extends cdktf.TerraformResource {
    static readonly tfResourceType = "gitlab_group_custom_attribute";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/gitlab/r/group_custom_attribute gitlab_group_custom_attribute} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options GroupCustomAttributeConfig
    */
    constructor(scope: Construct, id: string, config: GroupCustomAttributeConfig);
    private _group?;
    get group(): number;
    set group(value: number);
    get groupInput(): number | undefined;
    get id(): string;
    private _key?;
    get key(): string;
    set key(value: string);
    get keyInput(): string | undefined;
    private _value?;
    get value(): string;
    set value(value: string);
    get valueInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=group-custom-attribute.d.ts.map